# $Revision: 1.16.2.2 $, $Date: 2003/08/08 18:34:33 $
# TODO:
# -separate packages with themes
Summary:	XMMS - applet for controlling xmms from the KDE panel
Summary(pl):	Aplet do kontrolowaniaa xmms z panelu KDE
Name:		xmms-kde
Version:	3.0.0
Release:	4
Epoch:		1
License:	GPL v2
Vendor:		Flo Niebling <tranqlzer@users.sourceforge.net>
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/xmms-kde/xmmskde-%{version}.tar.gz
# Source0-md5:	53cc93d1ab9c160938498be370a7f558
Patch0:		%{name}-no-version.patch
URL:		http://xmms-kde.sourceforge.net/
BuildRequires:	glib-devel >= 1.2.2
BuildRequires:	gtk+-devel >= 1.2.2
BuildRequires:	libjpeg-devel
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	qt-devel >= 3.0.5
BuildRequires:	smpeg-devel >= 0.4.2
BuildRequires:	xmms-devel >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_htmldir	/usr/share/doc/kde/HTML

%description
XMMS panel applet for the KDE panel (kicker). It is used to be able
to control XMMS without having to switch to the virtual desktop where
XMMS is running.

Email (author): tranqlzer@users.sourceforge.net

%description -l pl
Aplet XMMS dla panelu KDE (kickera). Suy do kontrolowania XMMS bez
koniecznoci przeczania si na wirtualny pulpit, na ktrym dziaa
XMMS.

%prep
%setup -q -n xmmskde-3.0
%patch0 -p1

%build
kde_htmldir=%{_htmldir}; export kde_htmldir
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti -fno-implicit-templates"
%configure \
	--with-qt-includes=%{_includedir}/qt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang xmmskde --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f xmmskde.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/themes.txt
%{_libdir}/kde3/libxmmskde.la
%{_libdir}/kde3/libxmmskde.so
%{_datadir}/apps/xmms-kde
%{_datadir}/apps/kicker/applets/xmms-kde.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-kde.spec,v $
Revision 1.16.2.2  2003/08/08 18:34:33  misi3k
- rel 4
- rebuild
- md5

Revision 1.16.2.1  2003/07/11 12:04:55  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.16  2002/09/24 13:25:47  kloczek
- reverte change in %setup,
- place KDE help files in correct path.

Revision 1.15  2002/09/24 12:11:17  kloczek
- better solution for kde-xmms plugin: add no-version patch with remove
  *all* -version-info libtool options (first: specify -version-info for
  shared objects loaded by dlopen() is redundant; second: it was specyfied
  *two* times !! :>) from xmms plugin linking options,
- simplifications,
- use more macros (use %%find_lang also).

Revision 1.14  2002/09/23 18:27:20  blues
- release 3 - proper ldconfig call - STBR

Revision 1.13  2002/08/31 16:40:01  blues
- release 2 - STBR

Revision 1.12  2002/08/09 15:59:24  blues
- 3.0.0 - KDE3 port
- some cleanups, new doc, BR corrected, Req removed

Revision 1.11  2002/04/24 22:46:27  marcus
- rel.4.

Revision 1.10  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/05 19:02:28  blues
- release 3

Revision 1.6  2001/12/15 23:35:58  kloczek
- add -fno-exceptions -fno-rtti -fno-implicit-templates to CXXFLAGS (smaller
  executables),
- s#X11/Window Managers/Tools#X11/Applications/Multimedia# in Group.

Revision 1.5  2001/12/14 09:44:41  qboosh
- pl description, cosmetics

Revision 1.4  2001/12/13 13:07:41  mkochano
- Removed %%dir %%{_prefix}/apps form %%files. This directory is owned
  by kdelibs.
- Simplified files list (using shell globs).
- Removed links to libraries.
- Added call to /sbin/ldconfig in %%post and %%postun to update links to
  libraries.

Revision 1.3  2001/12/13 12:58:55  mkochano
- Release 2.
- Completed BuildRequires. NOTE: ./configure script checks if
  gettext-devel is installed, but there are no i18n files in package, so
  there is no BuildRequires: gettext-devel.
- Removed some commented out stuff.
- Use %%configure2_13 macro (can't rebuild ac/am). Do not call
  ./configure directly.
- Use %%{_make} install DESTDIR=$RPM_BUILD_ROOT instaed some ugly
  macros.
- Removed COPYING from %%doc.
- Removed %%dir %{_datadir}/apps form %%files. This directory is owned
  by kdelibs.

Revision 1.2  2001/12/12 23:59:25  fastviper
- fixed improper dependencies (PLD has qt not qt2)

Revision 1.1  2001/12/12 23:33:11  fastviper
- Taken .spec from Anders Lund (bundled with tarball)
- adapterized
